ru.bitel.bgbilling.kernel.event.events

## Class ContractCreatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ContractCreatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractCreatedEvent
      extends LocalEvent

  Синхронное событие - договор создан.
  Событие вызывается после создания нового договора в биллинге.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractCreatedEvent(Contract contract)` Конструктор события.
    `ContractCreatedEvent(Contract contract, int userId)` Конструктор события.
    `ContractCreatedEvent(Contract contract, int userId, int patternId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `getContract()` Возращает созданный догвор.
    `int` | `getPatternId()` Возвращает код шаблона, по которому был создан договор

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractCreatedEvent

          public ContractCreatedEvent(Contract contract)

      Конструктор события.
      Создается с кодом сервера.
      Parameters:
        `contract` - - договор

    - #### ContractCreatedEvent

          public ContractCreatedEvent(Contract contract,
                                      int userId)

      Конструктор события.
      Parameters:
        `contract` - - договор
        `userId` - - id пользователя, сгенерировавшего событие.

    - #### ContractCreatedEvent

          public ContractCreatedEvent(Contract contract,
                                      int userId,
                                      int patternId)

      Конструктор события.
      Parameters:
        `contract` - - договор
        `userId` - - id пользователя, сгенерировавшего событие.
        `patternId` - - код шаблона, по которому был создан договор.

  - ### Method Detail

    - #### getContract

          public Contract getContract()

      Возращает созданный догвор.
      Returns:
        contract - договор

    - #### getPatternId

          public int getPatternId()

      Возвращает код шаблона, по которому был создан договор
      Returns:
        patternId - код шаблона